#include "AiDownRecord.h"

void AiDownRecord::SetState(int stateID, int lr)
{
	AiRecord::SetState(stateID, lr);
	ani.sprite_index = lr == 0 ? L"ai_down_record_l" : L"ai_down_record_r";
}

std::shared_ptr<Entity> CreateAiDownRecord()
{
	return std::make_shared<AiDownRecord>();
}
